Subject: bug#21846: 25.0.50; emacs hebrew script bidi nikud rendering bug

From: Benjamin Riefenstahl <[email-masked]>
Date: Sat, 07 Nov 2015 18:44:14 +0100

I can reproduce the problems with the default font (FreeMono) on my
system, which for m17n has a mixture of Versions 1.6.4 and 1.6.5.  This
is Debian GNU/Linux 8.2.

When I use "FreeSerif", a small part of the problems go away, see the
attached screenshots.

OTOH it seems that the other problems will need to be be fixed in m17n.
E.g. I can fix the first problem (yiddish + nikud) by making a
relatively simple change to m17n's HEBR-OTF.flt script.  It may even be
possible to fix the problems with fonts like "FreeMono" and "Droid Sans
Mono" using m17n.

As for m17n versions, the file HEBR-OTF.flt has not changed since it was
initially checked-in to CVS (it currently lives in Git in
<http://git.savannah.gnu.org/cgit/m17n/m17n-db.git/>).

I suggest we move this bug to the m17n bugtracker at
<http://savannah.nongnu.org/bugs/?group=m17n>.